#!/usr/local/bin/perl
#
#
# create a nnnn.html file with man2html
#
undef $name ;
if ( $#ARGV == -1 ) {
    &fatal_error ("Usage : analyse.result.pl name") 
}
if ( $#ARGV == 0 ) {
	$name = $ARGV[0] ;
} else {
    &fatal_error ("Usage : analyse.result.pl name") 
}
#
#  Generate the new html file
#
$retcode = system "man2html $name.1 > $name.tmp.html" ;
if  ($retcode/256!=0) {
    &fatal_error (Error on man2html) ;
}
#
# Read the file 
#
$doprint=0 ;
open (HTMLFILE,">$name.html") || &fatal_error ("Cannot open $name.new.html for writing");
open (DATAFILE,"$name.tmp.html") || &fatal_error ("Cannot open $name.tmp.html for reading");
while (<DATAFILE>) {
    chop ;
    # 
    # Get the updated date
    #
    if ( $doprint == 0 ) {
        @at = split(/<BR>Updated: /,$_) ;
        if ( $#at == 1 ) {
            @date = split(/<BR>/,$at[1]) ;
            $doprint = 1 ;
        }
    } elsif ( $doprint == 1) {        
        if ( $_ eq "<A NAME=\"lbAB\">\&nbsp;</A>" ) {
            #
            # Print the new header
            #
            print HTMLFILE "<HTML>\n" ;
            print HTMLFILE "<HEAD>\n" ;
            print HTMLFILE "<TITLE>Manpage of $name </TITLE>\n" ;
            print HTMLFILE "</HEAD>\n" ;
            print HTMLFILE "<BODY>\n" ;
            print HTMLFILE "<table width=100% align=center>\n" ;
            print HTMLFILE "<tr>\n" ;
            print HTMLFILE "    <td align=left valign=center width=33%><b><font size=+4>$name</font></b><A HREF=\"#index\"> (Index)</A>\n" ;
            print HTMLFILE "    </td>\n" ;
            print HTMLFILE "    <td align=center width=33%>Updated: $date[0]\n" ;
            print HTMLFILE "    </td>\n" ;
            print HTMLFILE "    <td align=right width=33%>Section: User Commands  (1)\n" ;
            print HTMLFILE "    </td>\n" ;
            print HTMLFILE "</tr>\n" ;
            print HTMLFILE "</table>\n" ;
            print HTMLFILE "<HR>\n" ;
            print HTMLFILE "<A NAME=\"lbAB\">\&nbsp;</A>\n" ;
            $doprint = 2
        }
    } elsif ( $doprint == 2) {
        @at = split(/<A HREF=\"http:\/\/localhost\/cgi-bin\/man\/man2html\?/,$_) ;
        if ( $#at == 1 ) {
            @bt = split(/">/,$at[1]) ;
            @ct = split(/\+/,$bt[0])  ;
            print HTMLFILE "<A HREF=\"$ct[1].html\">$bt[1]\n" ;
        } else {
            @at = split("<A HREF=\"http://localhost/cgi-bin/man/man2html\">man2html</A>",$_) ;
            if ( $#at == 1 ) {
                print HTMLFILE "man2html" ;
                print HTMLFILE "$at[1]\n" ;
            } else {
                print HTMLFILE "$_\n" ;
            }
        }
    }
}
close(DATAFILE) ;
close(HTMLFILE) ;
unlink <$name.tmp.html> ;
sub fatal_error {
	local($m)=@_;
	print "fatal error: $m\n";
	exit(1) ;
}
